Bug 228894 - Add a way to get/set mirror objects from debugger variables.
Add a way to get/set mirror objects from debugger variables.
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
7.4
All All
: P3 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 206668 212827
  Show dependency treegraph
 
Reported: 2013-04-23 12:56 UTC by Martin Entlicher
Modified: 2013-05-04 01:47 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The API change with a test. (20.07 KB, patch)
2013-04-23 16:19 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2013-04-23 12:56:42 UTC
In order to be able to introduce property editors for various variable types, we need to create objects in the debugger's JVM, that would mirror the objects in the target JVM represented by the variables.

Therefore it's proposed to add methods like:
Object createMirrorObject()
void setFromMirrorObject(Object obj)
Comment 1 Martin Entlicher 2013-04-23 16:19:04 UTC
Created attachment 133722 [details]
The API change with a test.
Comment 2 Martin Entlicher 2013-04-23 16:19:54 UTC
Please review this simple API change. Thanks.
Comment 3 Martin Entlicher 2013-04-29 09:33:53 UTC
Thanks for the review, I'll integrate the change tomorrow.
Comment 4 Martin Entlicher 2013-04-30 09:07:18 UTC
Thanks for the review, the change is pushed as changeset: 252311:511fce2a65b9
http://hg.netbeans.org/core-main/rev/511fce2a65b9
Comment 5 Quality Engineering 2013-05-04 01:47:32 UTC
Integrated into 'main-golden', will be available in build *201305032300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/511fce2a65b9
User: mentlicher@netbeans.org
Log: #228894: The ability to get/set mirror objects from/to Variables.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo